<?php

//ini_set('display_errors',1);

session_start();

require_once ("../../config/Cado.php");
	require_once ("../../config/Datos.php");
	require_once ("../formatos/formato.php");
	
	require_once ("../cliente/cCliente.php");
	$oCliente = new cCliente();

require_once ("../../app/empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
	
require_once("../../app/guiaremision/cGuiaremision.php");
$oGuiaremision = new cGuiaremision();
	
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
	
require_once ("../../app/notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();

require_once ("../notadebito/cNotadebito.php");
$oNotadebito = new cNotadebito();


require '../../libreriasphp/phpmailer/PHPMailerAutoload.php';
$mail = new PHPMailer();


$mail->setLanguage('es','../../libreriasphp/phpmailer/language');
$mail->CharSet = "UTF-8";
//$mail->IsSMTP();
$mail->SMTPDebug = 0;//Enable SMTP debugging // 0 = off (for production use) // 1 = client messages // 2 = client and server messages 
$mail->Debugoutput = 'html';//Ask for HTML-friendly debug output  
$mail->Host = $d_sc_Host;//Set the hostname of the mail server  
$mail->Port = $d_sc_Port;//Set the SMTP port number - likely to be 25, 465 or 587  
$mail->SMTPAuth = $d_sc_SMTPAuth;//Whether to use SMTP authentication 
//$mail->SMTPSecure = $d_sc_SMTPSecure;
$mail->Username = $d_sc_Username; //Username to use for SMTP authentication 
$mail->Password = $d_sc_Password; //Password to use for SMTP authentication

$usu_ema_nom="Comprobantes Electronicos - Grupo VyF";
$usu_ema='ecomprobantes@grupovyf.com';

$mail->setFrom($usu_ema,$usu_ema_nom); //correo envío
$mail->addReplyTo($usu_ema,$usu_ema_nom); //Responder a correo

$mail->addAddress(trim($_POST['txt_cli_ema']),trim($_POST['txt_cli_con'])); //Destinatario


$dts1=$oCliente->filtrarcorreo($_POST['hdd_cli_id']);
$num_rows= mysql_num_rows($dts1);

if($num_rows>0){
	
	while($dt1 = mysql_fetch_array($dts1)){		
	
		$mail->addAddress(trim($dt1['tb_clientecorreo_ema']),trim($dt1['tb_clientecorreo_nom'])); //Destinatario
	
	}
}


//$mail->addCC(trim($_POST['txt_cli_emacop']),trim($_POST['txt_cli_concop'])); //con copia

$asunto=trim($_POST['txt_cor_asu']);
$asunto=utf8_encode("=?UTF-8?B?".base64_encode($asunto)."?=");
$mail->Subject = $asunto; 

$mail->AltBody = 'Su gestor de correo electrónico no soporta mensajes en HTML. Por lo tanto no podrá ver el contenido.'; //Replace the plain text body with one created manually 


//$pdf = 'pdf/'.$_POST['emp_numdoc'].'_'.$_POST['hdd_numdoc'].'_'.$_POST['cli_numdoc'].'.pdf';
//$xml = '../../docfirmado/'.$_POST['hdd_xmlzip'].'.zip';


	$dts = $oVenta->mostrarUno_ticket($_POST['hdd_ven_id']);
	$numrowsven = mysql_num_rows($dts);
	if($numrowsven>0){
	
	$dt = mysql_fetch_array($dts);
	$docabr=$dt['tb_documento_abr'];
	$numdoc	=$dt['numdoc'];
	$empid=$dt['tb_empresa_id'];
	$cliDoc=$dt['doc'];
	mysql_free_result($dts);
	
	if($docabr=="F"){
		$tipcom="01";
	}else if($docabr=="B"){
		$tipcom="03";
	}
	
	$dts=$oEmpresa->mostrarUno($empid);
	$dt = mysql_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	mysql_free_result($dts);

	$pdfv = '../venta/pdf/'.$emp_ruc.'_'.$numdoc.'_'.$cliDoc.'.pdf';
	$xmlv = '../../docfirmado/'.$emp_ruc.'-'.$tipcom.'-'.$numdoc.'.zip';
	
	$mail->addAttachment($pdfv);
	$mail->addAttachment($xmlv);
	
	}

	
	$dts = $oNotacredito->mostrarUno($_POST['hdd_nc_id']);
	$numrowsnc = mysql_num_rows($dts);
	if($numrowsnc>0){
    
	$dt = mysql_fetch_array($dts);
    $venid = $dt["tb_venta_id"];
	$notcre_numDoc	=$dt['tb_notacredito_numdoc'];
	mysql_free_result($dts);
    
	$dtsven= $oVenta->mostrarUno_ticket($venid);
	$dtven= mysql_fetch_array($dtsven);
	$empid=$dtven['tb_empresa_id'];
	$cliDoc=$dtven['tb_cliente_doc'];
	mysql_free_result($dtsven);
	
	$dts=$oEmpresa->mostrarUno($empid);
	$dt = mysql_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];		
	mysql_free_result($dts);

	$pdfnc = '../notacredito/pdf/'.$emp_ruc.'_'.$notcre_numDoc.'_'.$cliDoc.'.pdf';
	$xmlnc = '../../docfirmado/'.$emp_ruc.'-07-'.$notcre_numDoc.'.zip';
	
	$mail->addAttachment($pdfnc);
	$mail->addAttachment($xmlnc);
	
	}
	
	

	$dts= $oGuiaremision->mostrarUno($_POST['hdd_guia_id']);
	$numrowsguia = mysql_num_rows($dts);
	if($numrowsguia>0){
    
	$dt = mysql_fetch_array($dts);
	$guianumDoc	=$dt['tb_guiaremision_numdoc'];
	$cliDoc=$dt['tb_cliente_doc'];
	$empid=$dt['empid'];
	mysql_free_result($dts);
    
	$dts=$oEmpresa->mostrarUno($empid);
	$dt = mysql_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];		
	mysql_free_result($dts);

	$pdfguia = '../guiaremision/pdf/'.$emp_ruc.'_'.$guianumDoc.'_'.$cliDoc.'.pdf';
	$xmlguia = '../../docfirmado/'.$emp_ruc.'-09-'.$guianumDoc.'.zip';
	
	$mail->addAttachment($pdfguia);
	$mail->addAttachment($xmlguia);
	
	}
	
	
	$dts = $oNotadebito->mostrarUno($_POST['hdd_nd_id']);
	$numrowsnd = mysql_num_rows($dts);
	if($numrowsnd>0){
    
	$dt = mysql_fetch_array($dts);
    $venid = $dt["tb_venta_id"];
	$notdeb_numDoc	=$dt['tb_notadebito_numdoc'];
	mysql_free_result($dts);
    
	$dtsven= $oVenta->mostrarUno_ticket($venid);
	$dtven= mysql_fetch_array($dtsven);
	$empid=$dtven['tb_empresa_id'];
	$cliDoc=$dtven['tb_cliente_doc'];
	mysql_free_result($dtsven);
	
	$dts=$oEmpresa->mostrarUno($empid);
	$dt = mysql_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];		
	mysql_free_result($dts);

	$pdfnd = '../notadebito/pdf/'.$emp_ruc.'_'.$notdeb_numDoc.'_'.$cliDoc.'.pdf';
	$xmlnd = '../../docfirmado/'.$emp_ruc.'-08-'.$notdeb_numDoc.'.zip';
	
	//echo $pdfnd;
	//echo $xmlnd;
	
	$mail->addAttachment($pdfnd);
	$mail->addAttachment($xmlnd);
	
	}


$body.=$_POST['txt_cor_men'];

$mail->Body = $body; // Mensaje a enviar

	if (!$mail->send())
	{
		$res="Error: " . $mail->ErrorInfo; 
		$est = 0;
	}else {
	/* $xac=1;
	$tip=1;//1 email
	$oVentacorreo->insertar(
		$xac,
		$_SESSION['usuario_id'],
		$_POST['hdd_cli_id'],
		$_POST['hdd_ven_id'],
		$tip,
		$usu_ema,
		trim($_POST['txt_cli_ema']),
		trim($_POST['txt_cli_emacop']),
		trim($_POST['txt_cor_asu']),
		$body,
		$archivos
	);
  	 */
  	 $est = 1;
		$res="Correo Electronico enviado."; 
	} 

$data['ven_corr_est']=$est;
$data['ven_corr_msj']=$res;
echo json_encode($data);

?>